1 Reply Latest reply on Apr 19, 2013 3:55 AM by Rodmar Conde

    rich:placeHolder before RichFaces 4.3.0. Is it necessary to upgrade?

    Rodmar Conde Newbie

      Hello,

       

      I was wondering how can I implement a rich:placeHolder component if I'm using RichFaces 4.1.0 FInal?

       

      Is it safe to just upgrade to RichFaces 4.3.0 or are I'm exposing to incompatibilities problems ? If this is a production code I think that it is not a good idea to just replace the jar file...

       

      How can I solve this issue? I mean, how can I do tests (maybe junit, arquillian...) in order to detect if it is sure to update my (large) web application libraries? Or should I leave my code  with the same libraries forever and ever?

       

      I'm a little confused on this kind of upgrade-problems?

       

      Thank you very much!

        • 1. Re: rich:placeHolder before RichFaces 4.3.0. Is it necessary to upgrade?
          Rodmar Conde Newbie

          I think that one of the strengths of CDK  is to modularize all the components. Then, probably it's preferable to separate the component rich:placeHolder and create a single jar file for it. Then we should be able to add the jar to our web application in order to use it. This can be a good approach in this case because rich:placeHolder is a new component, however if we were talking about upgrading an existing component, that would be more difficult...

           

          Any body with contributions to the subject?

           

          Regards,